#include <avr/io.h>
#include <util/delay.h>
#include "keyb.h"
#include "led.h"

int main(void)
{
	ledInit();
	keybInit();
	ledClear();
	uint8_t value = 1;
	while(1) 
	{		
		if(readKeyboard()) {
			value++;
			if (value == 7) value = 1;
		} else {
			ledDispNumber(value, "%g", 3);
		}
	}
}
